/* KLook
 * Copyright (c) 2012 ROSA  <support@rosalab.ru>
 * Authors:
 *  Sergey Borovkov <sergey.borovkov@osinit.ru>
 *  Evgeniy Auzhin <evgeniy.augin@osinit.ru>
 * License: GPLv3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include <QtGui/QImage>

#include "exifimageprovider.h"
#include "rotatedimage.h"

ExifImageProvider::ExifImageProvider()
    : QDeclarativeImageProvider(Image)
{
}

QImage ExifImageProvider::requestImage(const QString& id, QSize* size, const QSize &requestedSize)
{
    RotatedImage rt(id);
    QImage image(id);
    image = image.transformed(rt.rotationMatrix());

    if (requestedSize.isValid() && (requestedSize.width() < image.width()
                                    || requestedSize.height() < image.height())) {
        image = image.scaled(requestedSize, Qt::KeepAspectRatio, Qt::SmoothTransformation);
    }

    *size = image.size();

    return image;
}
